using System.ComponentModel;

namespace QYZH.InteractiveMagazine.Models.Enum;

/// <summary>
/// 积分流水记录状态枚举
/// </summary>
public enum PointsRecordStatusEnum
{
    /// <summary>
    /// 待处理
    /// </summary>
    [Description("待处理")]
    Pending = 0,

    /// <summary>
    /// 成功
    /// </summary>
    [Description("成功")]
    Success = 1,

    /// <summary>
    /// 失败
    /// </summary>
    [Description("失败")]
    Failed = 2
}
